Forum - Minecraft ITALIA
[Risolto] Non mi fa entrare nel mio server - Versione stampabile

+- Forum - Minecraft ITALIA (https://www.minecraft-italia.it/forum)
+-- Forum: Server & Hosting (https://www.minecraft-italia.it/forum/f-server-hosting)
+--- Forum: Plugins (https://www.minecraft-italia.it/forum/f-plugins)
+--- Discussione: [Risolto] Non mi fa entrare nel mio server (/t-risolto-non-mi-fa-entrare-nel-mio-server)



Non mi fa entrare nel mio server - herobrine99dan - 22/07/2018

Salve, non riesco ad entrare nel mio server.Perfavore ditemi come fixare, ci tengo molto. L'errore che mi dà da minecraft è questo:
[Immagine: aJ7bkhR.png]

l'errore che trovo dai log di minecraft è questo:
Se può servire vi passo anche i plugin:
SetHome, WorldEdit, FirstJoinPlus, CombatLog, ClearLag, PlugMan, AdvancedBan, SetSpawn, ControlHacker, WorldGuard, ProtocolLib, NoCheatPlus, ItemFixer, SkinsRestorer, eZProtector, MinecraftItaliaRewards, WorldEditCrashFix, PermissionsEx, PAC, EasyWarp, Tablist, Vault, MyCommand, PluginHiderPlus, AuthMe, HolographicDisplays, SimplePrefix
Spero che riuscite a capire il problema.Se servono altri dati chiedetemi.


RE: Non mi fa entrare nel mio server - Xraffaele9004X - 22/07/2018

@herobrine99dan il server dà questo errore dopo una specifica azione? Oppure lo hai appena creato?


RE: Non mi fa entrare nel mio server - herobrine99dan - 22/07/2018

Il server l'ho creato 5 giorni fà, ieri ho installato il plugin di minecraft italia reward e un plugin per la tablist

ho messo anche skinrestorer e pac(phoneix anticheat)


RE: Non mi fa entrare nel mio server - Xraffaele9004X - 22/07/2018

Ok, ho capito il problema molto probabilmente è della tablist, se modifichi qualcosa che renda un nome della tablist troppo lunga, potrebbe portare a questi crash. Prova ad annullare la modifica che hai apportato oppure togli il plugin e controlla @herobrine99dan


RE: Non mi fa entrare nel mio server - herobrine99dan - 22/07/2018

ok tolgo il plugin


RE: Non mi fa entrare nel mio server - Xraffaele9004X - 22/07/2018

@herobrine99dan perfetto, prova ad accedere.


RE: Non mi fa entrare nel mio server - herobrine99dan - 22/07/2018

Non và

forse è protocollib?


RE: Non mi fa entrare nel mio server - Xraffaele9004X - 22/07/2018

@herobrine99dan per caso viene riportato un errore diverso?


RE: Non mi fa entrare nel mio server - herobrine99dan - 22/07/2018

no, errore sempre quello


RE: Non mi fa entrare nel mio server - Xraffaele9004X - 22/07/2018

@herobrine99dan ho trovato un errore molto simile al tuo, segnalato sul forum di spigot.
Da come ho capito dovrebbe essere un problema di chunck oppure dell'utilizzo di worldedit nonostante si abbia poca ram nel server.
https://www.spigotmc.org/threads/players-disconnecting-in-certain-chunks.70816/
Più di questo non so come aiutarti. Forse qualcuno più esperto potrà risolvere il tuo problema.


RE: Non mi fa entrare nel mio server - herobrine99dan - 22/07/2018

Il server ha 2gb di ram

provo a togliere protocollib

fixato gg
era protocollib
però adesso non funziona ezprotector Sad


RE: Non mi fa entrare nel mio server - Maxetto - 22/07/2018

Se togli ProtocolLib, ovviamente si risolve perché è il plugin che fa da tramite fra il plugin che ti sta creando questo problema e il tuo client.

Potrebbe essere ProtocolLib, se stai usando una versione non compatibile con la versione di Minecraft in uso nel server, ma direi che può trattarsi di uno di questi:
HolographicDisplays (Ologramma troppo lungo?)
PluginHiderPlus (Si interfaccia con ProtocolLib, quindi potrebbe essere anche questa la tua causa)
Tablist (Già risaputo che causa crash se non leggi che il limite massimo di caratteri è 16)
eZProtector (Come hai detto, anche lui usa ProtocolLib e potrebbe essere la causa)
ItemFixer (Nel totale funzionamento di questo plugin, il server deve kicckarti per ogni volta che trova un oggetto "illegale", ma il motivo del kick è un motivo generico, fra cui anche un errore del protocollo)


RE: Non mi fa entrare nel mio server - herobrine99dan - 22/07/2018

Intanto ecco i config di alcuni plugin:
Tablist:



Holographic display:

Ma se il server è 1.12.2 che versione di protocollib dovrei mettere?

(tablist e holographyc display non sono la causa del problema,anche avendoli messi)

ho messo protocollib la dev build 403 come dice il sito

ho tolto ezprotector e itemfixer, tablist e holographyc displayer non danno problemi, ho messo la versione corretta di protocollib rimane pluginhider+

ok avevo messo la versione sbagliata